Open CASCADE Technology: StepToTopoDS_Builder Class Reference

Open CASCADE Technology 6.8.0

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
StepToTopoDS_Builder Class Reference

`#include <StepToTopoDS_Builder.hxx>`

Inheritance diagram for StepToTopoDS_Builder:
[legend]

## Public Member Functions
| StepToTopoDS_Builder ()
| StepToTopoDS_Builder (const Handle< StepShape_ManifoldSolidBrep > &S, const Handle< Transfer_TransientProcess > &TP)
| StepToTopoDS_Builder (const Handle< StepShape_BrepWithVoids > &S, const Handle< Transfer_TransientProcess > &TP)
| StepToTopoDS_Builder (const Handle< StepShape_FacetedBrep > &S, const Handle< Transfer_TransientProcess > &TP)
| StepToTopoDS_Builder (const Handle< StepShape_FacetedBrepAndBrepWithVoids > &S, const Handle< Transfer_TransientProcess > &TP)
| StepToTopoDS_Builder (const Handle< StepShape_ShellBasedSurfaceModel > &S, const Handle< Transfer_TransientProcess > &TP, StepToTopoDS_NMTool &NMTool)
| StepToTopoDS_Builder (const Handle< StepShape_GeometricSet > &S, const Handle< Transfer_TransientProcess > &TP)
void | Init (const Handle< StepShape_ManifoldSolidBrep > &S, const Handle< Transfer_TransientProcess > &TP)
void | Init (const Handle< StepShape_BrepWithVoids > &S, const Handle< Transfer_TransientProcess > &TP)
void | Init (const Handle< StepShape_FacetedBrep > &S, const Handle< Transfer_TransientProcess > &TP)
void | Init (const Handle< StepShape_FacetedBrepAndBrepWithVoids > &S, const Handle< Transfer_TransientProcess > &TP)
void | Init (const Handle< StepShape_ShellBasedSurfaceModel > &S, const Handle< Transfer_TransientProcess > &TP, StepToTopoDS_NMTool &NMTool)
void | Init (const Handle< StepShape_EdgeBasedWireframeModel > &S, const Handle< Transfer_TransientProcess > &TP)
void | Init (const Handle< StepShape_FaceBasedSurfaceModel > &S, const Handle< Transfer_TransientProcess > &TP)
void | Init (const Handle< StepShape_GeometricSet > &S, const Handle< Transfer_TransientProcess > &TP, const Handle< Transfer_ActorOfTransientProcess > &RA=NULL, const Standard_Boolean isManifold=Standard_False)
const TopoDS_Shape & | Value () const
StepToTopoDS_BuilderError | Error () const
Public Member Functions inherited from StepToTopoDS_Root
Standard_Boolean | IsDone () const
Standard_Real | Precision () const
| Returns the value of "MyPrecision". More...
void | SetPrecision (const Standard_Real preci)
| Sets the value of "MyPrecision". More...
Standard_Real | MaxTol () const
| Returns the value of "MaxTol". More...
void | SetMaxTol (const Standard_Real maxpreci)
| Sets the value of MaxTol. More...

## Additional Inherited Members
Protected Member Functions inherited from StepToTopoDS_Root
| StepToTopoDS_Root ()
Protected Attributes inherited from StepToTopoDS_Root
Standard_Boolean | done

## Constructor & Destructor Documentation

StepToTopoDS_Builder::StepToTopoDS_Builder | ( |  | ) |

StepToTopoDS_Builder::StepToTopoDS_Builder | ( | const Handle< StepShape_ManifoldSolidBrep > & | S,
|  | const Handle< Transfer_TransientProcess > & | TP
| ) |  |

StepToTopoDS_Builder::StepToTopoDS_Builder | ( | const Handle< StepShape_BrepWithVoids > & | S,
|  | const Handle< Transfer_TransientProcess > & | TP
| ) |  |

StepToTopoDS_Builder::StepToTopoDS_Builder | ( | const Handle< StepShape_FacetedBrep > & | S,
|  | const Handle< Transfer_TransientProcess > & | TP
| ) |  |

StepToTopoDS_Builder::StepToTopoDS_Builder | ( | const Handle< StepShape_FacetedBrepAndBrepWithVoids > & | S,
|  | const Handle< Transfer_TransientProcess > & | TP
| ) |  |

StepToTopoDS_Builder::StepToTopoDS_Builder | ( | const Handle< StepShape_ShellBasedSurfaceModel > & | S,
|  | const Handle< Transfer_TransientProcess > & | TP,
|  | StepToTopoDS_NMTool & | NMTool
| ) |  |

StepToTopoDS_Builder::StepToTopoDS_Builder | ( | const Handle< StepShape_GeometricSet > & | S,
|  | const Handle< Transfer_TransientProcess > & | TP
| ) |  |

## Member Function Documentation

StepToTopoDS_BuilderError StepToTopoDS_Builder::Error | ( |  | ) | const

void StepToTopoDS_Builder::Init | ( | const Handle< StepShape_ManifoldSolidBrep > & | S,
|  | const Handle< Transfer_TransientProcess > & | TP
| ) |  |

void StepToTopoDS_Builder::Init | ( | const Handle< StepShape_BrepWithVoids > & | S,
|  | const Handle< Transfer_TransientProcess > & | TP
| ) |  |

void StepToTopoDS_Builder::Init | ( | const Handle< StepShape_FacetedBrep > & | S,
|  | const Handle< Transfer_TransientProcess > & | TP
| ) |  |

void StepToTopoDS_Builder::Init | ( | const Handle< StepShape_FacetedBrepAndBrepWithVoids > & | S,
|  | const Handle< Transfer_TransientProcess > & | TP
| ) |  |

void StepToTopoDS_Builder::Init | ( | const Handle< StepShape_ShellBasedSurfaceModel > & | S,
|  | const Handle< Transfer_TransientProcess > & | TP,
|  | StepToTopoDS_NMTool & | NMTool
| ) |  |

void StepToTopoDS_Builder::Init | ( | const Handle< StepShape_EdgeBasedWireframeModel > & | S,
|  | const Handle< Transfer_TransientProcess > & | TP
| ) |  |

void StepToTopoDS_Builder::Init | ( | const Handle< StepShape_FaceBasedSurfaceModel > & | S,
|  | const Handle< Transfer_TransientProcess > & | TP
| ) |  |

void StepToTopoDS_Builder::Init | ( | const Handle< StepShape_GeometricSet > & | S,
|  | const Handle< Transfer_TransientProcess > & | TP,
|  | const Handle< Transfer_ActorOfTransientProcess > & | RA = `NULL`,
|  | const Standard_Boolean | isManifold = `Standard_False`
| ) |  |

const TopoDS_Shape& StepToTopoDS_Builder::Value | ( |  | ) | const

The documentation for this class was generated from the following file:

- StepToTopoDS_Builder.hxx